Autor Tópico: Token OAB no PJe eSAJ no Ubuntu 16.04  (Lida 12960 vezes)

Offline agente100gelo

  • Administrador
  • Usuário Ubuntu
  • *****
  • Mensagens: 4.324
  • @Ceará
    • Ver perfil
Token OAB no PJe eSAJ no Ubuntu 16.04
« Online: 29 de Maio de 2016, 09:17 »
Após a atualização para o Ubuntu 15.10 passei a ter problema para acessar os sistemas judiciários do Brasil no Ubuntu.

Esse tutorial me ajudou (http://www.guicolandia.net/peticionamento-eletr%C3%B4nico-no-ubuntu-instalando-o-token-da-oab.html) e passo aqui as instruções específicas para o Ubuntu 16.04.

1. Instale as dependências:

Código: [Selecionar]
sudo apt-get install libengine-pkcs11-openssl libp11-2 libpcsc-perl libccid libpcsclite1 pcscd pcsc-tools libasedrive-usb opensc libssl1.0.0 openssl
2. Instale o arquivo .deb (64 bits)

Código: [Selecionar]
wget http://www.guicolandia.net/files/linux/safesignidentityclient_3.0.77-Ubuntu_amd64.deb
sudo dpkg -i safesignidentityclient_3.0.77-Ubuntu_amd64.deb

3. Configure o Firefox:

Citar
Na lista de opções, à esquerda, selecione a última: "Avançado". Nela, selecione a opção "Certificados" e, em seguida, aperte o botão "Dispositivos de segurança".


Na janela pop-up que se abre, clique em "Carregar". Na nova janela que se abre, dê um nome, em "Nome do módulo", por exemplo: Token OAB, e, no campo "Nome do arquivo do módulo", copie e cole o código abaixo:

/usr/lib/libaetpkss.so.3


4. Remova o erro que aparecerá

 
Citar
vai aparecer uma mensagem de erro de dependência quebrada na sua barra de status. Como os pacotes quebrados não são essenciais para o funcionamento do Token, e não tem como instalá-los até que sejam atualizados ao novo kernel, vamos eliminar esta mensagem.

No Terminal, digite:

sudo gedit /var/lib/dpkg/status

Agora, procure o pacote "safesignidentityclient". Para tanto, aperte a combinação de teclas Ctrl+F e digite "safesign" (sem as aspas) no campo de buscas.

Na seção "Depends" estão listadas as dependências do pacote da SafeSign. Os pacotes problemáticos (já fiz a consulta para você) são libwxbase2.8-0 e libwxgtk2.8-0. Apague a menção a eles do arquivo de texto, salve-o e feche o programa.

Agora, sim: pronto.

Aqui funcionou tanto no PJe quanto no eSAJ.
Advogado e analista de sistema cearense.
Twitter: @glaydson

Offline coutogilson

  • GIlson Couto
  • Usuário Ubuntu
  • *
  • Mensagens: 13
    • Ver perfil
Re:Token OAB no PJe eSAJ no Ubuntu 16.04
« Resposta #1 Online: 29 de Maio de 2016, 12:10 »
Para mim usar o certificado no Ubuntu (ou no Xubuntu) não era o problema, usava-o no site da Receita Federal e no Libreoffice sem problema. Porém nunca consegui usar o PJE (pelo menos no TJMG e no TRT3), acredito que o problema seja no Java.
Conforme na imagem abaixo, consigo inserir a senha no token, porém o sistema da Justiça simplesmente não passa para a próxima página. Frustante!

http://s33.postimg.org/wg17m5rmn/token.png

Por fim, não sei o que o CNJ irá fazer com fim do NPAPI e do JavaScript. Inclusive não é possível usar o PJE com o Java Oracle 9.

Se puder auxiliar, eu agraço muito!

---
Editado pela moderação: imagem acima do tamanho permitido. Regras: http://ubuntuforum-br.org/index.php/topic,43147.0.html
« Última modificação: 14 de Dezembro de 2016, 19:26 por irtigor »
Advogado e amante de tecnologia.

Offline agente100gelo

  • Administrador
  • Usuário Ubuntu
  • *****
  • Mensagens: 4.324
  • @Ceará
    • Ver perfil
Re:Token OAB no PJe eSAJ no Ubuntu 16.04
« Resposta #2 Online: 29 de Maio de 2016, 16:03 »
Quando você tenta acessar o PJe aparece alguma caixa de diálogo como essa abaixo?

http://www.ubuntudicas.com.br/wp-content/uploads/2014/07/noname-500x281.png

Tente acessar outro PJe como esse aqui https://pje.tjce.jus.br/pje1grau/login.seam

Nunca passei por situação como a sua de ler a senha e não se conectar.



Advogado e analista de sistema cearense.
Twitter: @glaydson

Offline coutogilson

  • GIlson Couto
  • Usuário Ubuntu
  • *
  • Mensagens: 13
    • Ver perfil
Re:Token OAB no PJe eSAJ no Ubuntu 16.04
« Resposta #3 Online: 29 de Maio de 2016, 22:47 »
Aquela caixa de seleção do driver aparece para mim na primeira vez. Seleciono libaetpkss.so.3.0.2528 ou libaetpkss.so.3. Como eu disse o certificado funciona perfeitamente em outros locais menos no PJE.

Tentei acessar o PJE do TJCE; porém apareceu o mesmo erro:


Qual Java você utiliza?

Valeu
Advogado e amante de tecnologia.

Offline agente100gelo

  • Administrador
  • Usuário Ubuntu
  • *****
  • Mensagens: 4.324
  • @Ceará
    • Ver perfil
Re:Token OAB no PJe eSAJ no Ubuntu 16.04
« Resposta #4 Online: 30 de Maio de 2016, 15:41 »
Use essa lib no PJE:
/usr/lib/libaetpkss.so.3.0

Meu Java é o 8 update 77.
Advogado e analista de sistema cearense.
Twitter: @glaydson

Offline lfelipe

  • Usuário Ubuntu
  • *
  • Mensagens: 42
    • Ver perfil
Re:Token OAB no PJe eSAJ no Ubuntu 16.04
« Resposta #5 Online: 31 de Maio de 2016, 10:47 »
agente100gelo,

Estou com o mesmo problema, mas ao tentar seguir o seu caminho, travei no passo 2.

Após o wget, o pront já mudou automaticamente para o sudo dpkg -i safesignidentityclient_3.0.77-Ubuntu_amd64.deb.

Ao executar o comando, apareceu a seguinte mensagem:

Citar
A seleccionar pacote anteriormente não seleccionado safesignidentityclient.
dpkg: aviso: falta ficheiro de lista de ficheiros 'libjbig0:i386'; assumindo que o pacote não tem actualmente ficheiros instalados
(Lendo banco de dados ... 224816 ficheiros e directórios actualmente instalados.)
A preparar para desempacotar safesignidentityclient_3.0.77-Ubuntu_amd64.deb ...
A descompactar safesignidentityclient (3.0.77-14) ...
dpkg: problemas com dependências impedem a configuração de safesignidentityclient:
 safesignidentityclient depende de libwxbase2.8-0 (>= 2.8.12.1); porém:
  Pacote libwxbase2.8-0 não está instalado.
 safesignidentityclient depende de libwxgtk2.8-0 (>= 2.8.12.1); porém:
  Pacote libwxgtk2.8-0 não está instalado.

dpkg: erro ao processar o pacote safesignidentityclient (--install):
 problemas de dependência - deixando desconfigurado
A processar 'triggers' para hicolor-icon-theme (0.15-0ubuntu1) ...
A processar 'triggers' para man-db (2.7.5-1) ...
A processar 'triggers' para bamfdaemon (0.5.3~bzr0+16.04.20160523-0ubuntu1) ...
Rebuilding /usr/share/applications/bamf-2.index...
A processar 'triggers' para gnome-menus (3.13.3-6ubuntu3) ...
A processar 'triggers' para desktop-file-utils (0.22-1ubuntu5) ...
A processar 'triggers' para mime-support (3.59ubuntu1) ...
Erros foram encontrados durante o processamento de:
 safesignidentityclient

Pelo que percebi, é problema com o pacote libjbig0:i386, o qual foi o que me deu uma baita dor de cabeça com dependências desencontradas, visto que o sistema instalou as versões de 32-bit e 64-bit ao mesmo tempo.

Alguma ideia do que posso fazer?

Obrigado!!
« Última modificação: 31 de Maio de 2016, 10:53 por lfelipe »

Offline coutogilson

  • GIlson Couto
  • Usuário Ubuntu
  • *
  • Mensagens: 13
    • Ver perfil
Re:Token OAB no PJe eSAJ no Ubuntu 16.04
« Resposta #6 Online: 31 de Maio de 2016, 12:06 »
Faltou instalar duas dependências : libwxbase2.8-0 e libwxgtk2.8-0.
No site http://www.validcertificadora.com.br/SafeSignLinux você consegue baixar e instalá-las. Instalar  o libwxbase2.8-0 primeiro e depois libwxgtk2.8-0.
Advogado e amante de tecnologia.

Offline lfelipe

  • Usuário Ubuntu
  • *
  • Mensagens: 42
    • Ver perfil
Re:Token OAB no PJe eSAJ no Ubuntu 16.04
« Resposta #7 Online: 31 de Maio de 2016, 13:16 »
coutogilson, obrigado!!

Realmente, faltou instalar os pacotes novamente.

Depois que instalei, procedi os passos 2 e 3 e deu tudo certo, inclusive sem apontar qualquer erro, como referido no passo 4.

Está funcionando que nem no Ubuntu 14.04 antes.

Um abraço!!

Offline coutogilson

  • GIlson Couto
  • Usuário Ubuntu
  • *
  • Mensagens: 13
    • Ver perfil
Re:Token OAB no PJe eSAJ no Ubuntu 16.04
« Resposta #8 Online: 31 de Maio de 2016, 14:59 »
Mas você conseguiu acessar o PJE de algum tribunal?
Advogado e amante de tecnologia.

Offline brunoanuncia

  • Usuário Ubuntu
  • *
  • Mensagens: 2
    • Ver perfil
Re:Token OAB no PJe eSAJ no Ubuntu 16.04
« Resposta #9 Online: 26 de Julho de 2016, 20:43 »
Estou com o mesmo problema que o coutogilson.

Notei um detalhe que talvez seja importante para solução do problema. Eu utilizo dois tokens aqui do escritório para acessar o PJe do TJMG. Chamarei esses dispositivos de Token A e Token B. Logo depois de formatar o meu computador, deixando o ubuntu 16.04 novinho, fiz todo o procedimento de instalação para funcionamento do PJe. Em seguida, eu encaixei o Token A e ele funcionou normalmente. Porém, ao tentar utilizar o Token B esse erro relatado pelo coutogilson acontece. Num primeiro momento, eu achei que o problema fosse no Token B, mas não é. No Windows ambos os tokens funcionam normalmente. Além disso, eu formatei meu computador novamente e inverti a ordem de utilização dos tokens: primeiro, testei o Token B, que funcionou normalmente. Quando tentei utilizar o Token A, apareceu a mensagem de erro.

Alguém faz ideia de como solucionar esse erro?

Desde já agradeço.

Para mim usar o certificado no Ubuntu (ou no Xubuntu) não era o problema, usava-o no site da Receita Federal e no Libreoffice sem problema. Porém nunca consegui usar o PJE (pelo menos no TJMG e no TRT3), acredito que o problema seja no Java.
Conforme na imagem abaixo, consigo inserir a senha no token, porém o sistema da Justiça simplesmente não passa para a próxima página. Frustante!


Por fim, não sei o que o CNJ irá fazer com fim do NPAPI e do JavaScript. Inclusive não é possível usar o PJE com o Java Oracle 9.

Se puder auxiliar, eu agraço muito!

Offline yaros

  • Usuário Ubuntu
  • *
  • Mensagens: 3
    • Ver perfil
Re:Token OAB no PJe eSAJ no Ubuntu 16.04
« Resposta #10 Online: 26 de Julho de 2016, 23:52 »
Projudi TJPR. Alguém passa pelo mesmo problema ?
"Erro ao abrir o certificado. Deve ser instalado o java de 32 bits mesmo que o computador seja de 64 bits"

Offline agente100gelo

  • Administrador
  • Usuário Ubuntu
  • *****
  • Mensagens: 4.324
  • @Ceará
    • Ver perfil
Re:Token OAB no PJe eSAJ no Ubuntu 16.04
« Resposta #11 Online: 27 de Julho de 2016, 06:15 »
Projudi TJPR. Alguém passa pelo mesmo problema ?
"Erro ao abrir o certificado. Deve ser instalado o java de 32 bits mesmo que o computador seja de 64 bits"

Meu Projudi não funciona.
Advogado e analista de sistema cearense.
Twitter: @glaydson

Offline brunoanuncia

  • Usuário Ubuntu
  • *
  • Mensagens: 2
    • Ver perfil
Re:Token OAB no PJe eSAJ no Ubuntu 16.04
« Resposta #12 Online: 27 de Julho de 2016, 18:27 »
Meu PROJUDI só funciona no Windows, infelizmente.

Projudi TJPR. Alguém passa pelo mesmo problema ?
"Erro ao abrir o certificado. Deve ser instalado o java de 32 bits mesmo que o computador seja de 64 bits"

Offline agente100gelo

  • Administrador
  • Usuário Ubuntu
  • *****
  • Mensagens: 4.324
  • @Ceará
    • Ver perfil
Re:Token OAB no PJe eSAJ no Ubuntu 16.04
« Resposta #13 Online: 27 de Julho de 2016, 18:32 »
Existia um pacote chamado cryptonit na Central de Programas do Ubuntu que permitia assinar os arquivos localmente e posteriormente só enviar.  Por alguma razão ele foi retirado dos repositórios faz alguns anos então não dá utilizar.
Advogado e analista de sistema cearense.
Twitter: @glaydson

Offline XxLeoxX

  • Usuário Ubuntu
  • *
  • Mensagens: 6
    • Ver perfil
Re:Token OAB no PJe eSAJ no Ubuntu 16.04
« Resposta #14 Online: 07 de Setembro de 2016, 23:55 »
Alguém conseguiu acessar o Pje do TJMG? Já fiz todos tutoriais possíveis, e nunca consegui entrar no sistema. Sempre aparece "Não foi possível realizar a autenticação". Estou com o 16.04 e Java 7. Token G & D. Só consigo acessar a Receita federal e o Projudi do Tjmg.
« Última modificação: 08 de Setembro de 2016, 16:49 por XxLeoxX »